{% extends 'base.html' %}
<h2>Medical History for {{ patient }}</h2>
{% if events %}
    <table>
        <thead>
            <tr>
                <th>Event type</th>
                <th>Date</th>
                <th>Description</th>
                <th>Treatment</th>
            </tr>
        </thead>
        <tbody>
            {% for event in events %}
                <tr>
                    <td>{{ event.get_event_type_display }}</td>
                    <td>{{ event.date }}</td>
                    <td>{{ event.description }}</td>
                    <td>{{ event.treatment }}</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% else %}
    <p>No medical history available.</p>
{% endif %}
